Subject: bug#17620: sh-mode indentation of continued do loop lists

From: Glenn Morris <[email-masked]>
Date: Wed, 28 May 2014 23:06:12 -0400

Stefan Monnier wrote:

> I think this requires a config variable:
>
> - The indentation you show above is the one that makes sense to me,
>   where the \ is just a way to write "a b" on multiple logical lines,
>   like you can do in most free-form programming languages, in which case
>   "b", being an argument to "a", should be indented a bit deeper than
>   "a".  I.e. the indentation rule pretends the \ don't really exist.
>
> - The indentation you ask for seems to be based on the idea that "\" is
>   a way to split a single logical line into several physical lines,
>   doing a kind of manual "word wrap".

Oh right, I see, now we get:

some-really-rather-long-command arg1 \
                                arg2

rather than the old

some-really-rather-long-command arg1 \
    arg2

where continued lines were always just indented +4.

I'm accustomed to the old dumb method. A config var would make me happy.